#ifndef PFRAME_H
#define PFRAME_H

class PFrame;

#include <tqframe.h>
#include "pmessage.h"
#include "pwidget.h"

class PFrame : public PWidget
{
  Q_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PFrame ( PObject * parent );
  virtual ~PFrame ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);

  virtual void setWidget(TQObject *w = 0x0);
  virtual TQFrame *widget();

private:
  TQFrame *frame;
};

#endif
